Significant Loan Transactions
/lokta-lms/api/v1/loans/{loanId}/transactionsThis API covers the major loan transaction functionality
Example Requests:
loans/1/transactions?command=repayment | Make a Repayment |
loans/1/transactions?command=merchantIssuedRefund | Merchant Issued Refund |
loans/1/transactions?command=payoutRefund | Payout Refund |
loans/1/transactions?command=goodwillCredit | Goodwil Credit |
loans/1/transactions?command=chargeRefund | Charge Refund |
loans/1/transactions?command=waiveinterest | Waive Interest |
loans/1/transactions?command=writeoff | Write-off Loan |
loans/1/transactions?command=close-rescheduled | Close Rescheduled Loan |
loans/1/transactions?command=close | Close Loan |
loans/1/transactions?command=undowriteoff | Undo Loan Write-off |
loans/1/transactions?command=recoverypayment | Make Recovery Payment |
loans/1/transactions?command=refundByCash | Make a Refund of an Active Loan by Cash |
loans/1/transactions?command=foreclosure | Foreclosure of an Active Loan |
loans/1/transactions?command=creditBalanceRefund | Credit Balance Refund |
loans/external-id/7dd80a7c-ycba-a446-t378-91eb6f53e854/transactions?command=charge-off | Charge-off Loan |
loans/1/transactions?command=downPayment | Down Payment |
Path parameters
loanIdpath · integer · int64 · requiredloanId
Query parameters
commandquery · string · optionalcommand
Request body application/json
accountNumberstring · optionalbankNumberstring · optionalchargeOffReasonIdinteger · int64 · optionalcheckNumberstring · optionalclassificationIdinteger · int64 · optionaldateFormatstring · optionaldueDatestring · optionalexternalIdstring · optionalfrequencyNumberinteger · int32 · optionalfrequencyTypestring · optionalinterestRefundCalculationboolean · optionalOptional. Controls whether Interest Refund transaction should be created for this refund. If not provided, loan product config is used.
loanChargeIdinteger · int64 · optionallocalestring · optionalnotestring · optionalnumberOfInstallmentsinteger · int32 · optionalpaymentTypeIdinteger · int64 · optionalreAgeInterestHandlingstring · optionalreAmortizationInterestHandlingstring · optionalreasonCodeValueIdinteger · int64 · optionalreceiptNumberstring · optionalreversalExternalIdstring · optionalroutingCodestring · optionalstartDatestring · optionaltransactionAmountnumber · double · optionaltransactionDatestring · optionalwriteoffReasonIdinteger · int64 · optionalResponses
200OKResponse fields
changesPostLoansLoanIdTransactionsResponseChanges · optionalclientIdinteger · int64 · optionalloanIdinteger · int64 · optionalofficeIdinteger · int64 · optionalresourceExternalIdstring · optionalresourceIdinteger · int64 · optionalsubResourceExternalIdstring · optionalsubResourceIdinteger · int64 · optionalEvery request authenticates with HTTP Basic and carries a Tenant-Identifier header. See the conventions for dates, commands, pagination and errors.
Open this operation in the interactive explorer, or read it as Markdown.